import { OnInit, EventEmitter } from '@angular/core';
import { EwMaDesignService } from '../../ew-ma-design.service';
import { TranslateService } from '@ngx-translate/core';
import { EwMaDesignTranslateService } from '../../services/ew-ma-design-translate.service';
export declare class EwBuilderTemplates implements OnInit {
    private designService;
    private ewTranslateService;
    translate: TranslateService;
    templatesList: any[];
    search: string;
    category: string;
    sectionLoader: boolean;
    dialogRef: any;
    isEventCreationStep: boolean;
    goTOEventPage: EventEmitter<any>;
    /**
     * @description
     * Language
     */
    default_lang: string;
    constructor(designService: EwMaDesignService, ewTranslateService: EwMaDesignTranslateService, translate: TranslateService);
    ngOnInit(): void;
    initLanguage(): void;
    fetchTemplatesListFromAPI(): void;
    selectTemplate(template?: any): void;
    clearFilter(): void;
    filterCategory(type: string): void;
    sortBy(field: string): void;
}
